<?php
define('ROOT','../');
define('GCMS',true);
require_once (ROOT.'system/power.php');
$diz -> head('Библиотека');
$diz -> title('<b>Библиотека</b>');
if ($aut == true) {
$nst = $db -> dbcount('COUNT(*)','books','`time` > '.(time()-86400).'');
if ($ns==0)$ns=NULL;
else $nst='+ '.$nst;
$msg .= '<div class="tochechki">'.$diz -> img('book/new.gif').' <a href="./new_st.php">Новые статьи</a> (<span style="color:red">'.$nst.'</span>)</br>';
$m_st = $db -> dbcount('count(`id`)','books',"`user` = '".$ya['id']."'");
$msg .= ''.$diz -> img('book/byb.gif').' <a href="./my_st.php">Мои статьи</a> ('.$m_st.')</br>';
$msg .= ''.$diz -> img('book/poisk.png').' <a href="./poisk.php">Поиск статей</a></div>';
}
$for = $db -> query("SELECT `id`,`name` FROM `book_razdel`");
if ($for -> num_rows > 0) {
while ($assoc = $for -> fetch_assoc()) {
$nst2 = $db -> dbcount('COUNT(*)','books','`time` > '.(time()-86400).' and `razdel`='.$assoc['id'].'');
if ($nst2==0)$nst2=NULL;
else $nst2='<span style="color:red">+'.$nst2.'</span>';
if($ya['level']>3){$admin = '<a href="./func.php?id='.$assoc['id'].'&amp;mode=delr">[Удалить]</a> | <a href="./func.php?id='.$assoc['id'].'&amp;mode=redraz">[Изменить]</a>';}
$st = $db -> dbcount('COUNT(*)','books','`razdel`='.$assoc['id'].'');                   
$msg .= '<div class="spisok">'.$diz -> img('books.png').'<a href="razdel.php?id='.$assoc['id'].'"> '.$assoc['name'].'</a> ('.$st.''.$nst2.') '.$admin.'</div>';
}
} else {
$msg .= '<div class="fon">Разделы ещё не созданы</div>';
}
if ($aut == true) {
$msg .= '<div class="tochechki">
'.$diz -> img('book/edit.gif').' <a href="./new.php">Добавить статью</a>';
if($ya['level']>3){$msg .= '</br> '.$diz -> img('book/edit.gif').' <a href="./func.php?mode=new">Создать раздел</a>';}
$msg .='</div>';
}

$msg .= '<div class="levo">'.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once ('../system/kopy.php');
$diz -> out($msg);
?>